/**
 * Copyright 2020 Vercel Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.background {
  background: #00A0E9;
  color: white;
  min-height: 100vh;
  min-height: var(--100vh);
  display: flex;
  flex-direction: column;
}

.page {
  display: flex;
  flex-direction: column;
  width: 100%;
  flex: 1;
}

.main {
  flex: 1;
  display: flex;
}

.full {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--sidebar);
  border-bottom: 1px solid var(--accents-7);
  height: var(--header-height);
  z-index: 2;
}

.header-logos {
  max-width: 200px;
  display: flex;
  align-items: center;
  margin: var(--space-2x) var(--space-4x);
}

.header-right {
  margin: var(--space-2x) var(--space-16x);
  display: none;
}

@media screen and (min-width: 770px) {
  .header-right {
    display: initial;
  }
}

.tabs {
  height: 100%;
  display: none;
}

@media screen and (min-width: 1032px) {
  .tabs {
    display: initial;
  }

  .tabs > a:nth-child(2),
  .tabs > a:nth-child(3),
  .tabs > a:nth-child(4) {
    display: inline-flex;
  }
}

.tab {
  text-transform: uppercase;
  padding: var(--space-4x);
  font-size: 14px;
  color: var(--secondary-color);
  font-weight: 700;
  letter-spacing: -0.05em;
  height: 100%;
  display: inline-flex;
  align-items: center;
  cursor: pointer;
}

.tab:hover,
.tab:focus,
.tab:active {
  color: #fff;
}

.tab-active {
  color: #fff;
  background: linear-gradient(90deg, var(--brand), var(--brand)) left bottom transparent no-repeat;
  background-size: 100% 1px;
}

.logo {
  display: flex;
  width: 40px;
}
